MONGOC_DATABASE_CREATE_COLLECTION(3)

NAME
mongoc_database_create_collection() - None

SYNOPSIS

mongoc_collection_t *
mongoc_database_create_collection (mongoc_database_t *database,
                                   const char        *name,
                                   const bson_t      *options,
                                   bson_error_t      *error);

PARAMETERS

database
    A mongoc_database_t \&.

name
    The name of the new collection.

options
    An optional bson_t for options to the createDatabase command.

error
    A location for a bson_error_t or NULL \&.

ERRORS

Errors are propagated via the error parameter.

RETURNS

This function returns a newly allocated mongoc_collection_t upon success, NULL upon failure and error is set.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.